{
  pkgs,
  myConfig,
  ...
}: {
  services = {
    greetd = {
      enable = true;
      settings = {
        initial_session = {
          command = "${pkgs.hyprland}/bin/Hyprland";
          user = "${myConfig.nixos.username}";
        };
        default_session = {
          command = "${pkgs.tuigreet}/bin/tuigreet --time --remember --cmd Hyprland";
        };
      };
    };

    # essentials
    blueman.enable = true;

    # for encryption support for unfree apps
    gnome.gnome-keyring.enable = true;

    # Complements printer support
    printing.enable = true;
    avahi = {
      enable = true;
      nssmdns4 = true;
      openFirewall = false;
    };
    pipewire = {
      enable = true;
      alsa = {
        enable = true;
      };
    };

    # wireless device power
    upower = {
      enable = true;
      usePercentageForPolicy = true;
    };
  };
}
